Home > Load Error > Load Error Oci.dll 126

Load Error Oci.dll 126

Contents

It should be 1. > in the oci8lib's dir, 2. Takehiro- Thanks for your help! also assuming that it's OK for it to be listed as "Path" (as opposed to "PATH") .... Existing account User name or e-mail address Password Always use SSL (experimental!) NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? http://softacoustik.com/load-error/load-error-failed-to-load-dynamic-link-library.php

ncsibra commented May 3, 2014 No, that just helped to compile without Makefile hack. For me, on linux, both of these files (example/iterator.rb and test/test-iterator.rb) run without error. Reload to refresh your session. Forum List Topic List New Topic Search Register User List Log In Powered by RForum and Captchator. http://stackoverflow.com/questions/35990154/ruby-gem-ruby-oci8-returning-error-oci-dll-126the-specified-module-could-n

Activerecord Oracle_enhanced Adapter Could Not Load Ruby-oci8 Library

and I type in my Username and Password ... This tool uses JavaScript and much of it will not work correctly without it enabled. in the oci8lib's dir, 2. Log in with Google account | Log in with Yahoo account | Log in with Facebook account No account?

somewhere on the $PATH. Report post Edit Delete Reply with quote Re: ActiveRecord/Oracle without Rails Senthil Krishnamoorthy (ksenthil_07081981) on 2008-08-13 19:33 Hi Drew Olson , could you please help me out that where can i Yes, my password is: Forgot your password? I'm on a windows > box.

Also, this is the error shown on the console after the application exits: c:/ruby/lib/ruby/gems/1.8/gems/activerecord-1.15.2/lib/active_record/connection_ adapters/oracle_adapter.rb:685:in `oci_connection': Oracle/OCI libraries could n ot be loaded: 126: The specified module could not be found. If your target database is Oracle Express Edition, it is 'XE'. :host=>"hostaddress/XE", > c:/ruby/lib/ruby/site_ruby/1.8/oci8.rb:184:in `logon': ORA-12514: > TNS:listener d > oes not currently know of service requested in connect descriptor The How can I solve this? more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

Might be some idea there we could adapt. Join them; it only takes a minute: Sign up Ruby gem 'ruby oci8' returning Error: 'OCI.DLL: 126(The specified module could not be found. ) (LoadError)' up vote 1 down vote favorite Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. There are maybe more > options, for details see I was able to find OCI.dll by downloading the Oracle Instant Client.

Oracle Instant Client

I'm using this: https://github.com/vjoel/leveldb which is based on the official 1.14 release plus a minor addition to the makefile. However, when I attempted to run it, I got the error: C:\Users\sodonnel> ruby -r oci8 -e "OCI8.new('scott', 'tiger', 'local11gr2').exec('select * from emp') do |r| puts r.join(','); end" C:/Ruby192/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': OCI.DLL: 193(%1 Activerecord Oracle_enhanced Adapter Could Not Load Ruby-oci8 Library Everything worked fine Oracle and Sqlplus wise, so I forged ahead and installed the ruby-oci8 gem: gem install ruby-oci8 This completed without any errors. other info ... - I'm running Windows 2000 5.00.2195 (SP4) - I'm running Oracle 9.2 ...

There are maybe more options, for details see http://msdn.microsoft.com/library/default.asp?url=... http://softacoustik.com/load-error/load-error-3.php Then extract them both into a folder, and add that folder to your path. Ruby-Forum.com Ruby Ruby Ruby on Rails JRuby Ruby Jobs About this forum Ruby-Forum Non-English Italian Ruby Group Forum: Ruby ActiveRecord/Oracle without Rails Forum List Topic List New Topic Search Register User The iterator.rb and the test-iterator.rb scripts runs fine for you on linux?

I put them into: C:\app\sodonnel\product\instant_client Then the OCI8 gem should work correctly. Please contact the application's support team for more information. It takes just 2 minutes to sign up (and it's free!). useful reference Browse other questions tagged ruby windows oracle activerecord oci8 or ask your own question.

Then for "Server Name" I enter "newbisd.world", which corresponds to an entry in my TNSnames.ora file ... I copied it to ruby/bin and now the previously mentioned error is gone. Then, when I hit either "OK" or "Test Connection", I get an error box titled "OCI.DLL" that says "The specified module could not be found" ...

Can I stop this homebrewed Lucky Coin ability from being exploited?

Were You Notified?If Employee Passwords Get Compromised, Does Your System Make a Sound?Nexpose Common Vulnerability Check ExamplesNexpose Writing Vulnerability Checks Rapid7.com Legal Privacy Policy Disclosure Policy Export Notice Partner Center I was having the same issue http://www.shanison.com/2010/08/29/use-oracle-connection-for-ruby-on-rails-2-2-2/ Also add the instant client path to the environment variables ‘Path’(folder containing OCI.dll ). The problem is, when I try to require it in a script, I got an error: G:/apps/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:55:in `require': 126: The specified module could not be found. - G:/apps/Ruby193/lib/ruby/gems/1.9.1/extensions/x86-mingw32/1.9.1/leveldb-native-0.6/leveldb-native/leveldb_native.so (LoadError) from G:/apps/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:55:in Didn't you experienced similar problem? — Reply to this email directly or view it on GitHub <#4 (comment)>.

How do you curtail too much customer input on website design? activerecord-oracle_enhanced-adapter (1.6.7), 3. What could make an area of land be accessible only at certain times of the year? this page The PATH user variable is correctly set to where the oci.dll is in the Oracle Windows directory.

Is it mean that the 'leveldb-mingw' project compiled a dll which not useable from normal windows environment? Terms Privacy Security Status Help You can't perform that action at this time. ncsibra closed this May 4, 2014 ncsibra reopened this May 6, 2014 ncsibra commented May 6, 2014 HI, Just one extra question, maybe that's the easiest way to ask. The solution is to somehow get a working 32 bit OCI.DLL.

Solution: Copy OCI.DLL to C:WINNTSYSTEM32 Maybe this would work for you? Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 4 Star 12 Fork 3 vjoel/ruby-leveldb-native Code Issues 1 Pull requests 0 Projects Does this mean I have connected incorrectly? Sign Up Now!

asked 7 months ago viewed 292 times active 5 months ago Related 3ActiveRecord oracle_enhanced adapter could not load ruby-oci8 library0Error - Ruby OCI8 - Wrong number of arguments (2 for 0..1)2Native Takehiro - I've got it working! ruby windows oracle activerecord oci8 share|improve this question edited Mar 15 at 2:43 Carpetsmoker 11.5k113961 asked Mar 14 at 14:25 Irvz 61 NOTE: The versions of the gems are: You need at least two files.

I'm confused because when I doubled clicked the ruby-oci8 package, I know it placed oci8lib.so in c:/ruby/lib/ruby/site_ruby/1.8/i386-msvcrt/oci8lib.so. I've downloaded the ruby-oci8 package, double clicked it to install, and written a simple program (shown below). and after I click "OK" to that, another one comes up saying "OCIEnvCreate failed with return code -1 but error message text was not available." Where do I start? ncsibra commented May 3, 2014 There is no ldd in mingw, but I used this: objdump.exe -p leveldb_native.so | grep 'DLL Name:' Output: DLL Name: leveldb.dll DLL Name: kernel32.dll DLL Name:

That seemed to solve the problem I was initially having. I right click on "Data Connections" ... Stay logged in Welcome to PC Review!